# Uses of Interface
bsh.util.NameCompletion

Packages that use NameCompletion
Package
Description
bsh.util

## Uses of NameCompletion in bsh.util

Classes in bsh.util that implement NameCompletion
Modifier and Type
Class
Description
`class`
`NameCompletionTable`
NameCompletionTable is a utility that implements simple name completion for a collection of names, NameSources, and other NameCompletionTables.
Methods in bsh.util with parameters of type NameCompletion
Modifier and Type
Method
Description
`void`
GUIConsoleInterface.`setNameCompletion(NameCompletion nc)`
`void`
JConsole.`setNameCompletion(NameCompletion nc)`